MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
DatabaseSelection Struct Reference

`#include <Selection.hxx>`

Collaboration diagram for DatabaseSelection:
[legend]

## Public Member Functions
| DatabaseSelection (const char *_uri, bool _recursive, const SongFilter *_filter=nullptr)
gcc_pure bool | IsEmpty () const
gcc_pure bool | HasOtherThanBase () const
| Does this selection contain constraints other than "base"? More...
gcc_pure bool | Match (const LightSong &song) const

## Data Fields
std::string | uri
| The base URI of the search (UTF-8). More...
bool | recursive
| Recursively search all sub directories? More...
const SongFilter * | filter

## Detailed Description

Definition at line 30 of file Selection.hxx.

## Constructor & Destructor Documentation

DatabaseSelection::DatabaseSelection | ( | const char * | _uri,
|  | bool | _recursive,
|  | const SongFilter * | _filter = `nullptr`
| ) |  |

## Member Function Documentation

gcc_pure bool DatabaseSelection::HasOtherThanBase | ( |  | ) | const

Does this selection contain constraints other than "base"?

gcc_pure bool DatabaseSelection::IsEmpty | ( |  | ) | const

gcc_pure bool DatabaseSelection::Match | ( | const LightSong & | song | ) | const

## Field Documentation

const SongFilter* DatabaseSelection::filter

Definition at line 42 of file Selection.hxx.

bool DatabaseSelection::recursive

Recursively search all sub directories?

Definition at line 40 of file Selection.hxx.

std::string DatabaseSelection::uri

The base URI of the search (UTF-8).

Must not begin or end with a slash. An empty string searches the whole database.

Definition at line 35 of file Selection.hxx.

The documentation for this struct was generated from the following file:

- db/Selection.hxx